html {
    height: 100vh;
    background: rgb(125, 185, 232); /* Old browsers */
    background: -moz-linear-gradient(45deg, rgba(125, 185, 232, 1) 0%, rgba(144, 238, 144, 1) 0%, rgba(147, 129, 255, 1) 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(45deg, rgba(125, 185, 232, 1) 0%, rgba(144, 238, 144, 1) 0%, rgba(147, 129, 255, 1) 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(45deg, rgba(125, 185, 232, 1) 0%, rgba(144, 238, 144, 1) 0%, rgba(147, 129, 255, 1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#7db9e8', endColorstr='#9381ff', GradientType=1); /* IE6-9 fallback on horizontal gradient */
}

a {
    color: black;
    text-decoration: none;
}

.container {
    margin: 80px auto auto;
    width: 1270px;
    height: 700px;
}

.board {
    float: left;
    position: relative;
    width: 750px;
    height: 700px;
}

.board-square {
    position: absolute;
    border: black solid 2px;
}

.board-square-big {
    width: 600px;
    height: 600px;
    top: 50px;
    left: 50px;
    background: #7567CC;
}

.board-square-mid {
    width: 68%;
    height: 68%;
    top: 16%;
    left: 16%;
    background: #584D99;
}

.board-square-sml {
    width: 36%;
    height: 36%;
    top: 32%;
    left: 32%;
    background: #7567CC;
}

.board-line {
    position: absolute;
    border: black solid 1px;
}

.board-line-vertical {
    width: 0;
    height: 100%;
    top: 0;
    left: 50%;
}

.board-line-horizontal {
    width: 100%;
    height: 0;
    top: 50%;
    left: 0;
}

.circle {
    position: absolute;
    width: 10%;
    height: 10%;
    border: black solid 2px;
    border-radius: 50%;
    transform: translate(-50%, -50%);
    transition: background 0.3s ease-in-out;
}

.white {
    background: #E6FDE9;
}

.black {
    background: #171917;
}

.none {
    background: #695CB7;
}

.remove {
    border-color: red;
    box-shadow: 0 0 7px 2px red;
}

.records {
    position: relative;
    width: 520px;
    height: 499px;
    background: lightgreen;
}

#records-body {
    width: 100%;
    height: calc(100% - 50px);
    overflow: hidden;
    overflow-y: scroll;
}

#records-white {
    float: left;
    width: 50%;
}

#records-black {
    float: left;
    width: 50%;
}

#records-head {
    padding: 15px;
    height: 20px;
    border-bottom: black solid 1px;
    transition: all .3s ease-in-out;
}

#records-head:hover {
    color: white;
    background: #228B22;
    transition: all .3s ease-in-out;
}

.records-move {
    padding: 5px 20px;
    border-bottom: gray solid 1px;
    transition: all .3s ease-in-out;
}

.records-move:hover {
    color: white;
    background: #228B22;
    transition: all .3s ease-in-out;
}


#a1 {
    top: 100%;
    left: 0;
}

#a4 {
    top: 50%;
    left: 0;
}

#a7 {
    top: 0;
    left: 0;
}

#b2 {
    top: 84%;
    left: 16%;
}

#b4 {
    top: 50%;
    left: 16%;
}

#b6 {
    top: 16%;
    left: 16%;
}

#c3 {
    top: 68%;
    left: 32%;
}

#c4 {
    top: 50%;
    left: 32%;
}

#c5 {
    top: 32%;
    left: 32%;
}

#d1 {
    top: 100%;
    left: 50%;
}

#d2 {
    top: 84%;
    left: 50%;
}

#d3 {
    top: 68%;
    left: 50%;
}

#d5 {
    top: 32%;
    left: 50%;
}

#d6 {
    top: 16%;
    left: 50%;
}

#d7 {
    top: 0;
    left: 50%;
}

#e3 {
    top: 68%;
    left: 68%;
}

#e4 {
    top: 50%;
    left: 68%;
}

#e5 {
    top: 32%;
    left: 68%;
}

#f2 {
    top: 84%;
    left: 84%;
}

#f4 {
    top: 50%;
    left: 84%;
}

#f6 {
    top: 16%;
    left: 84%;
}

#g1 {
    top: 100%;
    left: 100%;
}

#g4 {
    top: 50%;
    left: 100%;
}

#g7 {
    top: 0;
    left: 100%;
}


.sidebar {
    float: left;
    box-shadow: 5px 5px 10px 0 black;
}

.board-settings {
    background: #FFC04C;
    padding: 10px;
    font-weight: bold;
}

.player-active {
    text-decoration: underline;
}

.player-winner {
    color: #228B22;
}

.board-settings-selector {
    padding: 5px;
    margin: 5px;
    width: 200px;
}

#board-settings-button {
    width: 415px;
    padding: 5px;
    margin: 10px 5px 10px 75px;
}




